pilot-file(1)

NAME
pilot-file - Dump application and header information from your local PRC/PDB files.

SECTION

pilot-link: Tools

SYNOPSIS

 pilot-file [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-H|--header] [-a|--appinfo] [-s|--sortinfo] [-l|--list] [-r|--record STRING] [-f|--to-file] [-d|--dump] filename ...

DESCRIPTION

 pilot-file is used to Dump application and header information from your local PRC/PDB files.

 pilot-file does not connect to your Palm.

OPTIONS

  pilot-file options
                        -H, --header

Dump the header of the database(s)
                        -a, --appinfo

Dump app_info segment of the database(s)
                        -s, --sortinfo

Dump sort_info block of database(s)
                        -l, --list

List all records in the database(s)
                        -r, --record STRING

Dump a record by index ('code0') or uid ('1234')
                        -f, --to-file

Same as above but also dump records to files
                        -d, --dump

Dump all data and all records, very verbose

  Conduit Options
                        -p, --port lt;port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-file will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-file will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-file and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-file and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

EXAMPLES

To list all records in the Foo database:

 pilot-file -l Foo.prc

To dump the header and appinfo segment of the Bar database:

 pilot-file -H -a Bar.pdb

AUTHOR

This manual page was written by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7).